All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::detail::add_shared_ptr< CLIST > Struct Template Reference
Optimization problems

Transform a types list into a types list of shared pointers. More...

`#include <roboptim/core/problem.hh>`

## Public Types

typedef boost::mpl::transform < CLIST, typename boost::shared_ptr < boost::mpl::_1 > >::type | type
| Result. More...

## Detailed Description

### template<typename CLIST>
struct roboptim::detail::add_shared_ptr< CLIST >

Transform a types list into a types list of shared pointers.

If the input list is:

boost::mpl::vector<int, long>

then the result (type) will be:

boost::mpl::vector<boost::shared_ptr<int>,
boost::shared_ptr<long> >

Template Parameters

  CLIST | list that will be transformed